
def save_risk_value_on_hf(date, result, file_name):
    import csv
    import os
    from flood_risk.config import RESULT_STATION_FOLDER, AUTH_TOKEN
    from huggingface_hub import hf_hub_download
    from airflow.models import Variable
    from huggingface_hub import HfApi

    file_name = file_name+".csv"
    repo_id = Variable.get("HF_IDRO_DS")
   
    hf_api = HfApi(
    token=AUTH_TOKEN
    )

    if not os.path.exists(RESULT_STATION_FOLDER):
        os.mkdir(RESULT_STATION_FOLDER)

    file_local_path = hf_hub_download(repo_id=repo_id, filename=file_name, repo_type="dataset", local_dir=RESULT_STATION_FOLDER, token=AUTH_TOKEN)
    new_row =[date, result]

    with open(file_local_path, mode="r") as content:
        csv_content = csv.reader(content, delimiter=',')
        if new_row not in csv_content:
            with open(file_local_path, mode="a", newline="") as file:
                writer = csv.writer(file)
                writer.writerow(new_row)

    hf_api.upload_file(
                path_or_fileobj=file_local_path,
                path_in_repo=file_name,
                repo_id=repo_id,
                repo_type='dataset'
    )